Class {
	#name : #GrafoscopioLineConfiguration,
	#superclass : #Object,
	#instVars : [
		'emphasisCode',
		'kern',
		'alignment',
		'font',
		'attributes',
		'style'
	],
	#category : #'Grafoscopio-Rub'
}

{ #category : #'as yet unclassified' }
GrafoscopioLineConfiguration >> attributes [
	^ attributes 
]

{ #category : #'as yet unclassified' }
GrafoscopioLineConfiguration >> emphasisCode [
	^ emphasisCode
]

{ #category : #'as yet unclassified' }
GrafoscopioLineConfiguration >> font [
	^ font
]

{ #category : #initialization }
GrafoscopioLineConfiguration >> initialize [
	super initialize.
	emphasisCode := 0.
	kern := 0.

]

{ #category : #'as yet unclassified' }
GrafoscopioLineConfiguration >> kern [
	^ kern
]

{ #category : #initialization }
GrafoscopioLineConfiguration >> loadDefaultsFromStyle: aStyle [ 
	alignment := aStyle alignment.
]

{ #category : #'as yet unclassified' }
GrafoscopioLineConfiguration >> loadDefaultsFromStyle: aTextStyle and: aCollection [ 
	attributes := aCollection. 
	style := aTextStyle.
	self loadDefaultsFromStyle: aTextStyle. 
	attributes do: [  : att | att emphasizeScanner: self ].
]

{ #category : #'as yet unclassified' }
GrafoscopioLineConfiguration >> setFont: aNumber [
	font := style fontAt: aNumber
]
